      program     banana
!...+....1....+....2....+....3....+....4....+....5....+....6....+....7.v&
      use         fruit_module, only:                                   &
     &                          ok,                                     &
     &                          read_header,                            &
     &                          read_data,                              &
     &                          write_header,                           &
     &                          write_data,                             &
     &                          print_error;
      implicit    none
      integer     niter, mx, my
      real,    allocatable, dimension (:, :) ::  h
      real,    allocatable, dimension (:, :) ::  n
      real,    allocatable, dimension (:, :) ::  north, south
      real,    allocatable, dimension (:, :) ::  east,  west, here
      integer, allocatable, dimension (:, :) ::  type
      integer     i,   j,   k
      real        tol, tol_v
      integer  :: unit = 10
      character   shade(    0:9            )
      external    color
!...+....1....+....2....+....3....+....4....+....5....+....6....+....7.v&
      character   color
      integer     status
      data shade /                                                      &
     &          '.'    ,                                                &
     &          '`'    ,    '^'    ,  '7'   ,                           &
     &          '<'    ,    '+'    ,  '>'   ,                           &
     &          'L'    ,    'V'    ,  'J'   /

      tol   = 1e-4
      tol_v = 10*tol
      k     = 0

      open (unit=unit, file='banana.inp', status='old')
      call read_header (unit, mx, my, status)

      if (status /= ok) then
        call print_error(status)
        stop
      end if
      niter =  mx*mx*my*my
      allocate (h    (0:mx+1, 0:my+1))
      allocate (n    (0:mx+1, 0:my+1))
      allocate (north(1:mx,   1:my))
      allocate (south(1:mx,   1:my))
      allocate (east (1:mx,   1:my))
      allocate (west (1:mx,   1:my))
      allocate (type (1:mx,   1:my))
      allocate (here (1:mx,   1:my))
      h     (:, :) = 0
      n     (:, :) = 0
      east  (:, :) = 0
      west  (:, :) = 0
      south (:, :) = 0
      north (:, :) = 0
      here  (:, :) = 0
      type  (:, :) = 0
      call read_data (unit, type, h(1:mx, 1:my), status)
      if (status /= ok) then
        call print_error(status)
        stop
      end if
      close (unit=unit)

      do j = my, 1, -1
        write(*,*) (shade(type(i,j)),i=1, mx)
      end do

      where (type == 0) 
        north             = 0.00
        south             = 0.00
        east              = 0.00
        west              = 0.00
        here              = 1.00
      end where

      where (type == 1) 
        north             = 0.00
        south             = 0.50
        east              = 0.50
        west              = 0.00
      end where

      where (type == 2) 
        north             = 0.00
        south             = 0.50
        east              = 0.25
        west              = 0.25
      end where

      where (type == 3) 
        north             = 0.00
        south             = 0.50
        east              = 0.00
        west              = 0.50
      end where

      where (type == 4) 
        north             = 0.25
        south             = 0.25
        east              = 0.50
        west              = 0.00
      end where

      where (type == 5) 
        north             = 0.25
        south             = 0.25
        east              = 0.25
        west              = 0.25
      end where

      where (type == 6) 
        north             = 0.25
        south             = 0.25
        east              = 0.00
        west              = 0.50
      end where

      where (type == 7) 
        north             = 0.50
        south             = 0.00
        east              = 0.50
        west              = 0.00
      end where

      where (type == 8) 
        north             = 0.50
        south             = 0.00
        east              = 0.25
        west              = 0.25
      end where

      where (type == 9) 
        north             = 0.50
        south             = 0.00
        east              = 0.00
        west              = 0.50
      end where

      if (any(type<0) .or. any(type>9)) then
        print *, type
        stop 'error in type'
      end if

!...+....1....+....2....+....3....+....4....+....5....+....6....+....7.v&
      do while(k.lt.niter.and.tol_v.gt.tol)
        n(1:mx,1:my)  =                                                 &
     &                    west    * h(    0:mx-1, 1:my  )   +           &
     &                    east    * h(    2:mx+1, 1:my  )   +           &
     &                    north   * h(    1:mx,   2:my+1)   +           &
     &                    here    * h(    1:mx,   1:my  )   +           &
     &                    south   * h(    1:mx,   0:my-1)
        h(1:mx,1:my)  =                                                 &
     &                    west    * n(    0:mx-1, 1:my  )   +           &
     &                    east    * n(    2:mx+1, 1:my  )   +           &
     &                    north   * n(    1:mx,   2:my+1)   +           &
     &                    here    * n(    1:mx,   1:my  )   +           &
     &                    south   * n(    1:mx,   0:my-1)

        tol_v = maxval(abs(n(1:mx,1:my)-h(1:mx,1:my)))
        k     = k + 2
      enddo
      write(*,*) 'iterations = ', k
      write(*,*) tol_v, tol
      do j = my, 1, -1
        write(*,*) (color(h(i,j)), i=1, mx)
      end do
      open  (unit=unit, file='banana.out')
      call write_header(unit, mx, my, status)
      call write_data  (unit, type, h(1:mx, 1:my), status)
      close (unit=unit)
      deallocate (h    )
      deallocate (n    )
      deallocate (north)
      deallocate (south)
      deallocate (east )
      deallocate (west )
      deallocate (type )
      deallocate (here )

      end
      character function color (x)
      parameter                   (m = 10)
      real                                 x
      character                            colour(m)
!...+....1....+....2....+....3....+....4....+....5....+....6....+....7.v
      data colour      / '1', '.',                                      &
     &                   '3', '-',                                      &
     &                   '5', ':',                                      &
     &                   '7', '+',                                      &
     &                   '9', '*'   /
      color = colour(max(1,min(m,int(x/25))))
      end
