#!/bin/sh
#####################################################################
# Author:  	Giuseppe La Rocca (giuseppe.larocca@ct.infn.it)     #
#		------------------------------------		    #
#    Istituto Nazionale di Fisica Nucleare - Sez. di CATANIA  	    #
#	       	   Via Santa Sofia,64 - 95100 ITALY	    	    #
#		------------------------------------		    #
#	  +39.095.378.54.46 	    +39.095.378.54.69	  	    #
#####################################################################

# Fixing the right permission to the codesa file.
chmod 777 codesa.i686

echo "Start execution of CODESA3D.."
# Start execution of the codesa file.
./codesa.i686

# Create environment variables for ROOT.
export ALICE_ROOT_DIR=/opt/alice
export ROOTSYS=$ALICE_ROOT_DIR/root/3.10.02
export PATH=$PATH:$ROOTSYS/bin
export LD_LIBRARY_PATH=$ROOTSYS/lib:$LD_LIBRARY_PATH

# Start convert.C to create the root object root-ntupla.dat.root.
/opt/alice/root/3.10.02/bin/root -q -b convert.C

# Reading the information hold by the root-ntupla.dat.root and create an eps file.
/opt/alice/root/3.10.02/bin/root -q -b GraphCODESA3D.C

# Converting the eps files in two images using the convert command.
echo "Creation of the CODESA3D.gif"
#/usr/X11R6/bin/convert -resize 1270x900 -density 1270x900 CODESA3D.eps CODESA3D.gif
/usr/X11R6/bin/convert -resize 1050x900 -density 1050x900 CODESA3D.eps CODESA3D.gif

# Remove temporary file
rm -f CODESA3D.eps
echo "..Done!"
