
	         sr=44100 
	         kr=4410  
	         ksmps=10 
	         nchnls=2 
	     
	       
;***BACH Simple Sin oscillator (1 harmonic or foundamental, no other partials)
	       instr 1
	    a1 oscil  p4,p5,1
	       outs a1,a1 
	       endin
	       
	    
;***BACH Complex three oscillator system with beats
	         instr 2   
	    kenv linen  p4, 4, p3, 1  
	    a2   oscil  kenv/3,p5,2 
	    a3   oscil  kenv/3,p5*1.003,2
	    a4   oscil  kenv/3,p5*0.997,2
	    atot  =  a2+a3+a4
 	    
	         outs   atot, atot    
	         endin
	     
	    
;***BACH Karplus-strong Pluck Instrument
	         instr 3 
	    kenv linen  1, p3*.75, 1, p3*0.25 
	    a1   pluck  p4, p5, p5, 0, 1
	         outs   a1,a1
	         endin 
	     
	    
;***BACH Granular synthesis instrument
	          instr 4         
	    iamp    =  p4    
	    ipitch  =  p5  
	    idens   =  30   
	    iampoff =  10000 
	    ifrqoff =  200 
	    igdur   =   0.05 
	    istereo =  0.5   
	    igfn    =  1   
	    iwfn    =  2   
	    imgdur  =  .5   
	    a1     grain  iamp,ipitch,idens,iampoff,ifrqoff,igdur,igfn,iwfn,imgdur 
	           outs   a1*istereo,a1*(1-istereo)    
	           endin    
	    
	    
;***BACH Karplus-Strong pluck plus FM - Stereo panning aroung 90 degrees
	           instr 5

  	  ifreq		=	p5
	  iamp		=	p4/2 ; amplitude, scaled for two sources
	  afilt		init	0
	  ifeed		=	1
	  ieccdur		=	0.01
	  icutoff		=	8000
	  aecc		linseg 1,ieccdur,0,p3-ieccdur,0
	  asum		=	aecc+afilt*ifeed
	  adel		delay	asum,1/ifreq
	  afilt		tone	adel,icutoff
	  aout		atone afilt*iamp,30
      index        = 6.0             ; modulation index
      ipan         = 0.5  
      ifmamp       = .7              ; % of total amp, 1=dB amp as in p4
      ifmrise      = .2 * p3         ; % of total dur, 1=entire dur of note
      ifmdec       = .7 * p3         ; % of total duration
      ifmoff       = p3 - (ifmrise + ifmdec)

   
      kfm          linseg    0, ifmrise, ifmamp, ifmdec, 0, ifmoff, 0
      kndx         =         kfm * index
      afm1         foscil    iamp, ifreq, 1, 7, kndx, 1
      afm2         foscil    iamp, ifreq * 1.003, 1.003, 2.003, kndx, 1
      afm          =         kfm * (afm1+afm2)
      aMixSig         = (aout+afm)

      ;--stereo panning around 90 degrees
      iCirclePan      = 90.0 * ipan         ; scale 90 with values from 0 to 1
      kdegree         line      iCirclePan, p3, iCirclePan
      kdistance       line      1, p3, 1    ; used to distance reverb, need a constant 1
      asig1, asig2    locsig    aMixSig, kdegree, kdistance, 0.0
      outs            asig1, asig2
	
      endin

      