#include "colors.inc"
#include "textures.inc"
// camera --------------------------------------------------------------
#declare Cam1Position = < 5.0 , 6.0 ,-9.0>;
#declare Cam1 = camera {ultra_wide_angle angle  120
                        location  < 5.0 , 6.0 ,-9.0>
                        look_at   < 1.5 , 0.5 ,  0.0>}
camera{Cam1}
light_source{Cam1Position color rgb<0.8,0.7,1>*0.4 }//flash_light
// sun -----------------------------------------------------------------
light_source{<18,25,-50> color White*0.8 }
// sky -----------------------------------------------------------------
#declare Orange_Yellow = color rgb<1,0.85,0>;
sphere{<0,0,0>,1 hollow
       texture{pigment{gradient <0,1,0>
                       color_map{[0 color Gray95]
                                 [1 color Orange_Yellow*0.9]}
                       quick_color White }
               finish {ambient 1 diffuse 0}
              }
       scale 100}
//----------------------------------------------------------------------
#declare Texture1 = 
 texture{Polished_Chrome pigment{color rgb<1,0.3,0.7>}
         finish {ambient 0.45 diffuse 0.55 reflection 0.2 phong 1}}
#declare Profile_R = 0.2;
#declare Prof_X =  cos(radians(30));
#declare Prof_Y = -sin(radians(30));
#declare Profile = 
union{
 sphere  {<0,0,0>,Profile_R  translate<-Prof_X,Prof_Y,0>}
 sphere  {<0,0,0>,Profile_R  translate< Prof_X,Prof_Y,0>}
 sphere  {<0,0,0>,Profile_R  translate<      0,     1,0>}
 cylinder{<-Prof_X,Prof_Y,0>,< Prof_X,Prof_Y,0>,Profile_R }
 cylinder{< Prof_X,Prof_Y,0>,<      0,     1,0>,Profile_R }
 cylinder{<      0,     1,0>,<-Prof_X,Prof_Y,0>,Profile_R }
}
//----------------------------------------------------------------------   
#macro Ring(Turn_around, R_major, N_major, N_minor, Profile_Texture)
//---------------------------------------------------------
#declare Nr = 0;                  // start
#declare EndNr = N_major*N_minor; // end
union{
 #while (Nr< EndNr) 
  object{Turn_around  texture{Profile_Texture}
         rotate<0,0,Nr * 360/N_minor>
         translate<R_major,0,0> 
         rotate<0,Nr * 360/EndNr,0>} 
 #declare Nr = Nr + 1;  // next Nr
 #end // --------------- end of loop -----------------------
}    // ---- end of union
#end// of macro ------------------------------------------
sphere {<0,0,0>,0.35 scale <1,1,1> rotate<0,0,0> translate<1.00,3.75,-4>
        texture{pigment{color Scarlet}
                finish {ambient 0.45 diffuse 0.55 reflection 0.1 phong 1}}}
union{
object{Ring(object{Profile scale <1.5,1.5,0.6> }, 4.00, 1, 50, Texture1) scale 0.75 rotate<0,0,0>}
object{Ring(Profile , 5.00, 2, 1000, Texture1) scale <0.65,0.5,0.75> rotate<90,0,0> translate<3,0,0> }
scale 0.85 translate<0,0,0>}
