#/bin/bash
#
#############################################################
# Author:  Giuseppe La Rocca (giuseppe.larocca@ct.infn.it)  #
#		-----------------------------		    #
#  Istituto Nazionale di Fisica Nucleare - Sez. di CATANIA  #
#		Via Santa Sofia,64 - 95123 ITALY	    #
#		-----------------------------		    #
#	+39.095.378.54.46 	+39.095.378.54.69	    #
#############################################################
#
MACROS2EXECUTE=Lorents.dem

echo "Start Executing $MACROS2EXECUTE.."

LOCALDIR=`pwd`
hostname -f
#Setting the right permission for the execution of the file.
chmod 777 start_scilab.sh

echo Opening a Virtual Frame Buffer for launching the the SciLab application.
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
/usr/X11R6/bin/Xvfb :1&
sleep 5

echo Running SciLab..
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo `/usr/bin/scilab -display :1 -f "$MACROS2EXECUTE"`

echo Listing the content of the workdir.
ls -l

echo Converting file into gif file using ImageMagick.
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
convert sci1.eps image.gif

echo Kill the Xvfb.
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
process_id=`ps -ax | grep Xvfb | awk '{print $1}'`
for i in $process_id
do
	kill -15 $i
done

echo Deleting the tmp files.
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
rm -f *.sh
rm -f *.eps
rm -f *.dem
rm -f *.sce

echo ..Done!!
