#PBS -I 
#PBS -s /bin/bash
#
#############################################################
# Author:  Giuseppe La Rocca (giuseppe.larocca@ct.infn.it)  #
#		-----------------------------		    #
#  Istituto Nazionale di Fisica Nucleare - Sez. di CATANIA  #
#		Via Santa Sofia,64 - 95123 ITALY	    #
#		-----------------------------		    #
#	     	  Phone : +39.095.378.55.03 		    #
#############################################################
#
FILE2STREAM=alien.mpg
IP2STREAM=193.206.208.251
DATETIME=`date +%Y%m%d%H%M%S`
LOCALDIR=`pwd`

echo ${LCG_CATALOG_TYPE}
echo ${LFC_HOST}
echo ${LCG_GFAL_INFOSYS}
export TERM=xterm
echo " "
echo "Start downloading, from the Catalog, of the video choosen by the user..."

###############################################################################################################
#				 Detect which type of Catalog is in use.				      #
###############################################################################################################
if [ ${LCG_CATALOG_TYPE} = "lfc" ] ; then
	echo "Using LFC Catalog type."
	lcg-cp --vo gilda lfn:/grid/gilda/vlc/"$FILE2STREAM" file://"$LOCALDIR"/"$DATETIME"_"$FILE2STREAM"
fi

if [ ${LCG_CATALOG_TYPE} = "edg" ] ; then
	echo "Using EDG Catalog type."
	lcg-cp --vo gilda lfn:"$FILE2STREAM" file://"$LOCALDIR"/"$DATETIME"_"$FILE2STREAM"
fi	
###############################################################################################################

ls -al
cd /usr/local/bin
echo " "
echo "Running VLC streamer with the relative input-data.."
/usr/local/bin/vlc --sout udp:"$IP2STREAM" "$LOCALDIR"/"$DATETIME"_"$FILE2STREAM" vlc:quit > /dev/null 2>&1 < /dev/null

echo "Deleting file to stream..."
echo rm -rf "$LOCALDIR"/"$DATETIME"_"$FILE2STREAM" 
rm -rf "$LOCALDIR"/"$DATETIME"_"$FILE2STREAM" 
rm -rf "$LOCALDIR"/avviavlc.sh 
echo "...That's all folks!"
