      program generate
!...+....1....+....2....+....3....+....4....+....5....+....6....+....72v
      implicit none
      character(len=1000)                     :: line            ! later we will make this more dynamic
      character(len=1000)                     :: grid_filename   ! this is big enough to hold a local filename
      character(len=1000)                     :: value_filename  ! this is big enough to hold a local filename

      character, dimension (:, :), allocatable:: grid
      character, dimension (:, :), allocatable:: value
      integer                                 :: no_lines   =  0
      integer                                 :: max_length =  0
      integer                                 :: no_shades  =  0
      integer                                 :: ios        =  0
      integer                                 :: i          =  0
      integer                                 :: j          =  0
      integer                                 :: k          =  0
      integer                                 :: unit       = 10
      character(*), parameter           :: grid_dat   = 'grid.dat'
      character(*), parameter           :: value_dat  = 'value.dat'
      character(*), parameter           :: grid_zero  = '.'
      character(*), parameter           :: value_zero = '0'
      character(*), parameter           :: dash       = '_'
      character(*), parameter           :: by         = 'x'
      character                         :: grid_old   = 'x'
      character                         :: value_old  = 'y'
      integer                           :: status

      open(unit=unit, file=grid_dat, status = 'old')
      read(unit, *, iostat=ios) line
      do while (ios == 0)
        no_lines   = no_lines+1
        max_length = max(max_length, len_trim(line))
        read(unit, *, iostat=ios) line
      end do
      close(unit=unit)

      open(unit=unit, file=grid_dat, status = 'old')
      allocate(grid (max_length, no_lines))
      allocate(value(max_length, no_lines))
      do j = no_lines, 1, -1
        read(unit, 100, iostat=ios) grid(1:max_length, j)
      end do
      close(unit=unit)

      open(unit=unit, file=value_dat, status = 'old')
      do j = no_lines, 1, -1
        read(unit, 100, iostat=ios) value(1:max_length, j)
      end do
      close(unit=unit)

      do i = 2, max_length-1
        do j = 2, no_lines-1
          write (grid_filename,  110) i, by, j, dash//grid_dat
          write (value_filename, 110) i, by, j, dash//value_dat
          grid_old    = grid (i, j)
          value_old   = value(i, j)

          grid (i, j) = grid_zero
          value(i, j) = value_zero

          open  (unit=unit, file=trim(grid_filename), action = 'write')
          do k = 1, no_lines
            write(unit,100, iostat=ios) grid(1:max_length, k)
          end do
          close (unit=unit)
          open  (unit=unit, file=trim(value_filename), action = 'write')
          do k = 1, no_lines
            write(unit,100, iostat=ios) grid(1:max_length, k)
          end do
          close (unit=unit)

          grid (i, j) = grid_old
          value(i, j) = value_old
        end do
      end do
      deallocate(grid)  ! (:, :)
      deallocate(value) ! (:, :)

  100 format(1000a1)  ! later we will make this more dynamic
  110 format(i3.3, a, i3.3, a)
      end
