#!/bin/bash 
# made by Donvito Giacinto | INFN-BARI
#
# for any problem please mail to: giacinto.donvito@ba.infn.it 
#

if [ -z $EDG_WL_JOBID ]
then
EDG_WL_JOBID=$GLITE_WMS_JOBID
fi

if [ -z $EDG_WL_LOG_DESTINATION ]
then
EDG_WL_LOG_DESTINATION=$GLITE_WMS_LOG_DESTINATION
fi


date

hostname

DB_NAME=$1
DB_VER=$2
DB_TYPE=$3

echo $4 > query.input

export LCG_CATALOG_TYPE=lfc
export LFC_HOST=lfc-gilda.ct.infn.it


tar xfvj lib.tar.bz2

export LD_LIBRARY_PATH=./lib:$LD_LIBRARY_PATH

#export LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH

bunzip2 mysql.bz2

chmod 777 ./mysql

./mysql -u remote_user -pbio_remote -h pccms6.cmsfarm1.ba.infn.it --port=80 -D bio_monitoring -e "insert delayed into job_index_monitoring (JOB_ID,NOME_VAR,DESCRIZIONE,HOST) value ('$EDG_WL_JOBID','CE','$EDG_WL_LOG_DESTINATION','`hostname -f`')"


############################################

# Nicola
# export VO_BIO_SW_DIR=/home/donvito/blast_on_grid

ls -1 $VO_GILDA_SW_DIR/blast/bin > output_list &
#ls -1 $VO_BIO_SW_DIR/blast-2.2.13/bin > output_list &

export PATH=$VO_GILDA_SW_DIR/blast/bin:$PATH
export BLASTMAT=$VO_GILDA_SW_DIR/blast/data/

#export PATH=$VO_BIO_SW_DIR/blast-2.2.13/bin:$PATH
#export BLASTMAT=$VO_BIO_SW_DIR/blast-2.2.13/data/
                                                                                                               
# Nicola


############################################

#export BLASTDATA=`pwd`

#lcg-cp --vo bio  lfn:/grid/bio/ba.infn.it/db/blast2/$DB_NAME/$DB_NAME.fasta file://`pwd`/$DB_NAME.fasta

#lcg-cp --vo bio  lfn:/grid/bio/donvito/formatdb  file://`pwd`/formatdb 
#chmod 777 formatdb 

./mysql -u remote_user -pbio_remote -h pccms6.cmsfarm1.ba.infn.it --port=80 -D bio_monitoring -e "insert delayed into job_index_monitoring (JOB_ID,NOME_VAR,DESCRIZIONE,HOST) value ('$EDG_WL_JOBID','PATH','$PATH `date`','`hostname -f`')"


#lcg-cp --vo bio lfn:/grid/bio/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}sq file://`pwd`/$DB_NAME.${DB_TYPE}sq
echo lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}sq file://`pwd`/$DB_NAME.${DB_TYPE}sq
lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}sq file://`pwd`/$DB_NAME.${DB_TYPE}sq

#lcg-cp --vo bio lfn:/grid/bio/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}sd file://`pwd`/$DB_NAME.${DB_TYPE}sd
echo lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}sd file://`pwd`/$DB_NAME.${DB_TYPE}sd
lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}sd file://`pwd`/$DB_NAME.${DB_TYPE}sd

#lcg-cp --vo bio lfn:/grid/bio/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}si file://`pwd`/$DB_NAME.${DB_TYPE}si
echo lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}si file://`pwd`/$DB_NAME.${DB_TYPE}si
lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}si file://`pwd`/$DB_NAME.${DB_TYPE}si

#lcg-cp --vo bio lfn:/grid/bio/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}in file://`pwd`/$DB_NAME.${DB_TYPE}in
echo lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}in file://`pwd`/$DB_NAME.${DB_TYPE}in
lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}in file://`pwd`/$DB_NAME.${DB_TYPE}in

#lcg-cp --vo bio lfn:/grid/bio/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}hr file://`pwd`/$DB_NAME.${DB_TYPE}hr
echo lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}hr file://`pwd`/$DB_NAME.${DB_TYPE}hr
lcg-cp --vo bio lfn:/grid/gilda/ba.infn.it/db/blast2/$DB_NAME/$DB_VER/index/$DB_NAME.${DB_TYPE}hr file://`pwd`/$DB_NAME.${DB_TYPE}hr

echo;echo blastall -p blast${DB_TYPE} -d $DB_NAME -i query.input -o outfile.blast${DB_TYPE}
blastall -p blast${DB_TYPE} -d $DB_NAME -i query.input -o outfile.blast${DB_TYPE}

echo;echo "Checkpoint.."
ls -lStra

./mysql -u remote_user -pbio_remote -h pccms6.cmsfarm1.ba.infn.it --port=80 -D bio_monitoring -e "insert delayed into job_index_monitoring (JOB_ID,NOME_VAR,DESCRIZIONE,HOST) value ('$EDG_WL_JOBID','EXE','$? `date`','`hostname -f`')"

#lfc-mkdir -p /grid/bio/ba.infn.it/user_output/$DB_NAME/$DB_VER
echo;lfc-mkdir -p /grid/gilda/ba.infn.it/user_output/$DB_NAME/$DB_VER
lfc-mkdir -p /grid/gilda/ba.infn.it/user_output/$DB_NAME/$DB_VER

DATA=`date +%s`

#lcg-cr --vo bio -l /grid/bio/ba.infn.it/user_output/$DB_NAME/$DB_VER/outfile.blast${DB_TYPE}$DATA  file://`pwd`/outfile.blastp
echo;echo lcg-cr --vo gilda -l lfn:/grid/gilda/ba.infn.it/user_output/$DB_NAME/$DB_VER/outfile.blast${DB_TYPE}$DATA  file:`pwd`/outfile.blast${DB_TYPE}
lcg-cr --vo gilda -l lfn:/grid/gilda/ba.infn.it/user_output/$DB_NAME/$DB_VER/outfile.blast${DB_TYPE}$DATA  file:`pwd`/outfile.blast${DB_TYPE}

echo;ls -lStra
